Bug 1203155 (plasma-pk-updates) - Review Request: plasma-pk-updates - Plasma applet for system updates using PackageKit
Summary: Review Request: plasma-pk-updates - Plasma applet for system updates using Pa...
Keywords:
Status: CLOSED ERRATA
Alias: plasma-pk-updates
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5 1206760
TreeView+ depends on / blocked
 
Reported: 2015-03-18 09:36 UTC by Jan Grulich
Modified: 2015-03-30 07:11 UTC (History)
4 users (show)

Fixed In Version: plasma-pk-updates-0.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 07:11:21 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2015-03-18 09:36:27 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma-pk-updates.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma-pk-updates-0.1-1.fc21.src.rpm
Description: Plasma applet for system updates using PackageKit
Fedora Account System Username: jgrulich
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9262233

Comment 1 Rex Dieter 2015-03-21 11:44:57 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9288038

sources: NOT ok
4f502a7c243f7a2e74437f7083036261  plasma-pk-updates-0.1.tar.gz
but unverifiable

$ spectool -g plasma-pk-updates.spec 
Getting https://github.com/caybro/plasma-pk-updates/archive/plasma-pk-updates-0.1.tar.gz to ./plasma-pk-updates-0.1.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   147    0   147    0     0    294      0 --:--:-- --:--:-- --:--:--   294
curl: (22) The requested URL returned error: 404 Not Found

looks like the URL is simply wrong, adjusting to:
Source0:        https://github.com/caybro/plasma-pk-updates/archive/v%{version}.tar.gz
works

md5sum *.gz
4f502a7c243f7a2e74437f7083036261  v0.1.tar.gz

1. MUST fix Source0 URL

naming: ok

license: ok

macros: ok

scriptlets: ok (n/a)


The only semi-blocker was the source url, but I think we can skip going through another fix/review cycle here, please fix it prior to doing any official builds.


APPROVED

Comment 2 Jan Grulich 2015-03-23 08:30:14 UTC
New Package SCM Request
=======================
Package Name: plasma-pk-updates
Short Description: Plasma applet for system updates using PackageKit
Upstream URL: https://github.com/caybro/plasma-pk-updates
Owners: group::kde-sig
Branches: f21 f22
InitialCC:

Comment 3 Gwyn Ciesla 2015-03-23 13:33:54 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-03-23 16:08:10 UTC
plasma-pk-updates-0.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/plasma-pk-updates-0.1-3.fc22

Comment 5 Fedora Update System 2015-03-26 21:29:11 UTC
plasma-pk-updates-0.1-3.fc22 has been pushed to the Fedora 22 testing repository.

Comment 6 Fedora Update System 2015-03-30 07:11:21 UTC
plasma-pk-updates-0.1-3.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.